View Issue Details

IDProjectCategoryView StatusLast Update
0006063mantisbtscriptingpublic2007-08-02 02:28
ReportergriddlyAssigned Tograngeway 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.0.0rc1 
Target VersionFixed in Version1.1.0a4 
Summary0006063: APPLICATION ERROR 0000401 on MSSQL while uploading files
Description

Database query failed. Error received from database was 0000206: Operand type clash: text is incompatible with image for the query: INSERT INTO mantis_bug_file_table
(bug_id, title, description, diskfile, filename, folder, filesize, file_type, date_added, content)
VALUES
(208, '', '', 'F:\wwwroot\Mantis\Uploads\TestProject\b994e1a4136c05dbde9527e042aa8e81', 'nt4cmd.txt', 'F:\wwwroot\Mantis\Uploads\TestProject\', 14285, 'text/plain', '2005-08-01 02:14:50PM', 'Q:\LOAD\nt4D\I386... etc etc rest of file.

Additional Information

Tried uploading attached file to DB and recieved above error. This file is just reference for commands on NT4 installations. Mantis Reads the internal of the file and errors with this.

Using Windows 2003, php4.3, MSSQL 2000 SP3. This is relevant to the same issue I had before only this time I am getting a different error message

TagsNo tags attached.

Relationships

has duplicate 0007297 closedvboctor Error in database when trying to attach a file 
related to 0008867 closedryandesign APPLICATION ERROR 0000401 while uploading files into MySQL 

Activities

2005-08-01 17:21

 

nt4cmd.txt (14,285 bytes)
Q:\LOAD\nt4D\I386\winnt32.exe /s:Q:\LOAD\nt4D\I386 /u:B:\unattend.txt /t:c

Q:\LOAD\nt4s\I386\winnt32.exe /s:Q:\LOAD\nt4s\I386 /u:b:\unattend.txt /t:c

Q:\LOAD\nt4D\I386\winnt32.exe /s:Q:\LOAD\nt4D\I386 /u:B:\unattend.txt /t:c /r:c:\support\i386 /e:%SystemDrive%\i386\system32\shutdown.exe /r

OEMBlankAdminPassword = 1


NT4s
[LicenseFilePrintData]
   AutoMode = PerServer or PerSeat
   AutoUser = xxxx or PerServer  (where XXXX is the number of licenses purchased)


;[Unattended]
;Method = Express|Custom
;NtUpgrade = Yes|No
;Win31Upgade = Yes|No
;TargetPath = *|<Path Name>|Manual
;OverwriteOemFilesOnUpgrade = Yes|No
;ConfirmHardware = Yes|No
;OEMPreinstall = Yes|No
;NoWaitAfterTextMode =  (0 = stop, 1 = Reboot)
;NoWaitAfterGuiMode = (0 = stop, 1 = Reboot)
;FileSystem = ConvertNTFS|LeaveAlone
;ExtendOemPartition = (0 = no, 1 = Yes)
				

; Descriptions are from the COMPUTER Section of TXTSETUP.SIF
; ======================================================
; ComputerType = "AST Manhattan SMP","RETAIL"
; ComputerType = "Compaq SystemPro Multiprocessor or 100%
;    Compatible","RETAIL"
; ComputerType = "Corollary C-bus Architecture","RETAIL"
; ComputerType = "Corollary C-bus Micro Channel Architecture","RETAIL"
; ComputerType = "IBM PS/2 or other Micro Channel-based PC","RETAIL"
; ComputerType = "MPS Uniprocessor PC","RETAIL"
; ComputerType = "MPS Multiprocessor PC","RETAIL"
; ComputerType = "MPS Multiprocessor Micro Channel PC","RETAIL"
; ComputerType = "NCR System 3000 Model 3360/3450/3550","RETAIL"
; ComputerType = "Olivetti LSX5030/40","RETAIL"
; ComputerType = "Standard PC","RETAIL"
; ComputerType = "Standard PC with C-Step i486","RETAIL"
; ComputerType = "Wyse Series 7000i Model 740MP/760MP","RETAIL"

;KeyBoardLayout = <Layout description>
;  Example;
;  KeyBoardLayout = "US-International"

;[GuiUnattended]========================================

;[GuiUnattended]
;OemSkipWelcome = (0 = no, 1 = Yes)
;OemBlankadminPassword = (0 = no, 1 = Yes)
;TimeZone = <Time Zone>
; The following are strings for AdvServerType
; AdvServerType = LANMANNT
; AdvServerType = LANSECNT
; AdvServerType = SERVERNT

; Definition of Server Type
; LANMANNT=PDC
; LANSECNT=BDC
; SERVERNT=Standalone

;[UserData]============================================

;[UserData]
;FullName = <user name>
;OrgName = <company name>
;ComputerName = <computer name>
;ProductID = <product ID> (CD-key)
;
; Note if PID is for an OEM version of NT the algorithm for the
; PID is the following xxxyy-OEM-0000016-zzzzz
;
; x = Julian calendar date for the day
; y = The current year (last two digits)
; z = Any numerics combination you want
;
;
;[LicenseFilePrintData]=================================

;[LicenseFilePrintData]
; AutoMode = PerServer or PerSeat
; AutoUser = xxxx or PerServer


;[NetWork]==============================================

;[NetWork]
;Attend = Yes|No
; This value should not be specified for a complete unattended install
;
;JoinWorkGroup = <workgroup name>
;JoinDomain = <Domain name>
;CreateComputerAccount = <user_name, password>
;InstallDC = <domain name>
;InstallAdapters = <Install adapters section>
;
; If not AUTODETECTED do not use
; this option
;
;DetectAdapters = <detect adapters section>|""
;
;InstallProtocols = <Protocol(s) list section>
;InstallServices = <Sevices list section>
;InstallInternetServer <internet information server parameters>
;DoNotInstallInternetServer = Yes|No
;[detect adapters section]
;
; Only used if the adapter
; AUTODETECTED by setup.
;
;DetectCount = <Number of detection attempts (I believe the max is 4)>
;LimitTo = <netcard inf option>
;Example;
; LimitTo = DECETHERWORKSTURBO

;[Install adapters section]
; Examples;
;   DECETHERWORKSTURBO = DECETHERWORKSTURBOParams
;   EE16 = EE16Params

;[DECETHERWORKSTURBOParams]
;InterruptNumber = 5
;IOBaseAddress = 768               ;Note!! all numbers in these sections
;MemoryMappedBaseAddress = 851968  ;are converted from hex to decimal
;!AutoNetInterfaceType = 1         ;(768 = 300h). You can get these values
;!AutoNetBusNumber = 0             ; from the registry of a computer with
                                   ;the adapter installed.

;[EE16Params]
;!AutoNetInterfaceType = 1
;Transceiver = 3
;!AutoNetBusNumber = 0
;IoChannelReady = 2
;IoBaseAddress = 784
;InterruptNumber = 10

;[Protocol(s) list section]
; OEM File listing for protocols
;
; TCPIP - OEMNXPTC.INF
; NETBEUI - OEMNXPNB.INF
; IPX - OEMNSVNW.INF
; DLC - OEMNXPDL.INF
; Point to Point Protocol - OEMNXPPP.INF
; STREAMS - OEMNXPST.INF
; Apple Talk - OEMNXPSM.INF
;

; TC = TCPIPParams
; NBF = NetBeuiParams
; NWLNKIPX = NWLINKIPXParams
; DLC = DLCParams
; RASPPTP = RASPPTPParams
; STREAMS = STREAMSParams
; ATALK = ATALKParams

;[TCPIPParams]
; DHCP = yes|no
; IPAddress = www.xxx.yyy.zzz
; Subnet = www.xxx.yyy.zzz
; Gateway = www.xxx.yyy.zzz
; DNSServer = www.xxx.yyy.zzz, www.xxx.yyy.zzz, www.xxx.yyy.zzz
; WINSPrimary = www.xxx.yyy.zzz
; WINSSecondary = www.xxx.yyy.zzz
; DNSName = <DNS name server>
; ScopeID = This_is_the_scope_id

;[NetBeuiParams]
; No parameters needed

;[NWLINKIPXParams]
; No parameters needed

;[DLCParams]
; No parameters needed


;[RASPPTPParams]
; No parameters needed

;[STREAMSParams]
; No parameters needed

;[ATALKParams]
; Need to figure out how to set the default zone and adapter. From
; testing this does work once finished. Reason is for printing. Many
; high end publishing companies used Apple printers on their networks
; and would need this protocol to print.

;[Sevices list section]
; NWWKSTA = InstallCSNW
; SNMP = InstallSNMP
; RAS = InstallRemoteAccess
; NETMON = InstallNetMon
; STCPIP = InstallSimpleTCP
; TCPPRINT = InstallTCPPrint
; INETSTP = InstallInternetServer
; SAP = InstallSAP

;[InstallCSNW]
; !DefaultLocation = <server location (usaully preferred server)>
; !DefaultScriptOption = 0|1|3
;   0 = No scripts will be run
;   1 = Netware 3.X level scripts
;   3 = Either Netware 3.X or 4.X level scripts can be run

;[InstallSNMP]
; Accept_CommunityName = Name1, Name2, Name3 (Max is 3)
; Send_Authentication = yes | no
; AnyHost = yes | no
; Limit_Host = host1, host2, host3 (Max is 3)
; Community_name = <Community name>
; Traps = IPaddress | IPXaddress (max of 3 IP or IPX addresses)
; Contact_Name = <user name>
; Location = <computer location>
; Service = Physical, Applications, Datalink, Internet, EndToEnd

;[Modem]================================================

;[Modem]
;InstallModem = <Modem parameter section>
; Example;
;   InstallModem = MyModem
;
;[ModemParameterSection]
;<Com Port Number> = <Modem description>
; Example;
;   Com2 = "Hayes V-Series Ultra Smartmodem 9600"
;
;
;[InstallRemoteAccess]
;
; PortSections = <port section name>
; DialoutProtocols = TCP/IP|IPX|NetBEUI|All
; DialInProtocols = TCP/IP|IPX|NetBEUI|All
; NetBEUIClientAccess = Network|ThisComputer
; TCPIPClientAccess = Network|ThisComputer
; IPXClientAccess = Network|ThisComputer
; UseDHCP = Yes|No
; StaticAddressBegin = <IP address>  (used only if UseDHCP = No)
; StaticAddressEnd = <IP address>   (used only if UseDHCP = No)
; ExcludeAddress = <IP address1 - IP address2>
;    The above is used to exclude a range of addresses when a range has
;    been assigned manually.  Requires that StaticAddressBegin and
;    StaticAddressEnd are specified already.
;
; ClientCanRequestIPAddress = Yes|No
; AutomaticNetworkNumbers = Yes|No
; NetworkNumberFrom <IPX Net Number>
; AssignSameNetworkNumber = Yes|No
; ClientsCanRequestIpxNodeNumber = Yes|No

; [port section name]
; PortName = COM1|COM2|COM3-COM25
; DeviceType = modem  (presently only value available)
; DeviceName = "Hayes V-Series Ultra Smartmodem 9600"
; PortUsage = DialOut|DialIn|DialInOut

;[InstallNetMon]

;[InstallSimpleTCP]

;[InstallTCPPrint]

;[<internet information server parameters>]
;
; (0 = do not install, 1 = install)
; InstallINETSTP = 0|1
; InstallFTP = 0|1
; InstallWWW = 0|1
; InstallGopher = 0|1
; InstallADMIN = 0|1
; InstallMosaic = 0|1
; InstallGateway = 0|1
; InstallDNS = 0|1
; InstallHELP = 0|1
; InstallSMALLPROX = 0|1
; InstallCLIENTADMIN = 0|1
; WWWRoot = <www root directory i.e.  C:\INETSRV\WWW>
; FTPRoot = <FTP root directory i.e.  C:\ftp>
; GopherRoot = <gopher root directory i.e  C:\INETSRV\GOPHER>
; InstallDir = <Internet services install directory>
; EmailName = <E-mail Name i.e. john@org.com>
; UseGateway = 1
; GatewayList = \\gateway1 \\gateway2 \\gateway3
; DisableSvcLoc = 1
; GuestAccountName <name>
; GuestAccountPassword <password string>

;[InstallSAP]

;[DisplayDrivers]=======================================

; [DisplayDrivers]
; <Display driver description> = Retail|Oem

;[Display]==============================================

;[Display]
;
; For this to fully automate, the ConfigureAtLogon can not be used at all.
;
; ConfigureAtLogon = (0 = during setup, 1 = at first logon)
;
;BitsPerPel = <Valid bits per pixel>
;XResolution = <Valid X resolution>
;YResolution = <Valid Y resolution>
;VRefresh = <Valid refresh rate>
;Flags = <Valid flags>
;AutoConfirm = (0 = do not use specified settings, 1 = use pre-defined
;settings)
;InstallDriver (0 = No, 1 = Yes)
;InfFile = <inf file name 1>,<inf file name 2>,.......
;InfOption = <inf option 1>,<inf option 2>,.........
; Example:
;   InstallDriver = 1
;   InfFile = S3.inf, Matrox.inf
;   InfOption = s3 765, Millennium 3D

;[KeyBoardDrivers]======================================

;[KeyBoardDrivers]
;"XT, AT, or Enhanced Keyboard (83-104 keys)" = "RETAIL"

; Descriptions are from the KEYBOARD Section of TXTSETUP.SIF
; ======================================================
; "XT, AT, or Enhanced Keyboard (83-104 keys)" = "RETAIL"

;[PointingDeviceDrivers]================================

;[PointingDeviceDrivers]

; Descriptions are from the MOUSE Section of TXTSETUP.SIF
; ======================================================
; "Microsoft Mouse Port Mouse (includes BallPoint)" = "RETAIL"
; "Logitech Mouse Port Mouse" = "RETAIL"
; "Microsoft InPort Bus Mouse" = "RETAIL"
; "Microsoft Serial Mouse" = "RETAIL"
; "Microsoft BallPoint Serial Mouse" = "RETAIL"
; "Logitech Serial Mouse" = "RETAIL"
; "Microsoft (Green Buttons) or Logitech Bus Mouse" = "RETAIL"
; "No Mouse or Other Pointing Device" = "RETAIL"
; "Microsoft Mouse Port Mouse (includes BallPoint)" = "RETAIL"

;[MassStorageDrivers]===================================

;[MassStorageDrivers]

; Descriptions are from the SCSI Section of TXTSETUP.SIF
; ======================================================
; "Adaptec AHA-151X/AHA-152X or AIC-6260/AIC-6360 SCSI Host Adapter" =
; "RETAIL"
; "Adaptec AHA-154X/AHA-164X SCSI Host Adapter" = "RETAIL"
; "Adaptec AHA-174X EISA SCSI Host Adapter" = "RETAIL"
; "Adaptec AHA-274X/AHA-284X/AIC-777X SCSI Host Adapter" = "RETAIL"
; "Adaptec AHA-294X/AHA-394X or AIC-78XX PCI SCSI Controller" = "RETAIL"
; "Adaptec AHA-2920 or Future Domain 16XX/PCI/SCSI2Go SCSI Host Adapter" =
; "RETAIL"
; "AMD PCI SCSI Controller/Ethernet Adapter" = "RETAIL"
; "AMIscsi SCSI Host Adapter" = "RETAIL"
; "BusLogic SCSI Host Adapter" = "RETAIL"
; "BusLogic FlashPoint" = "RETAIL"
; "Compaq 32-Bit Fast-Wide SCSI-2/E" = "RETAIL"
; "Compaq Drive Array" = "RETAIL"
; "Dell Drive Array" = "RETAIL"
; "DPT SCSI Host Adapter" = "RETAIL"
; "Future Domain TMC-7000EX EISA SCSI Host Adapter" = "RETAIL"
; "Future Domain 8XX SCSI Host Adapter" = "RETAIL"
; "IBM MCA SCSI Host Adapter" = "RETAIL"
; "IDE CD-ROM (ATAPI 1.2)/Dual-channel PCI IDE Controller" = "RETAIL"
; "Mitsumi CD-ROM Controller" = "RETAIL"
; "Mylex DAC960/Digital SWXCR-Ex Raid Controller" = "RETAIL"
; "NCR 53C9X SCSI Host Adapter" = "RETAIL"
; "NCR C700 SCSI Host Adapter" = "RETAIL"
; "NCR 53C710 SCSI Host Adapter" = "RETAIL"
; "Symbios Logic C810 PCI SCSI Host Adapter" = "RETAIL"
; "Olivetti ESC-1/ESC-2 SCSI Host Adapter" = "RETAIL"
; "QLogic PCI SCSI Host Adapter" = "RETAIL"
; "MKEPanasonic CD-ROM Controller" = "RETAIL"
; "Sony Proprietary CD-ROM Controller" = "RETAIL"
; "UltraStor 14F/14FB/34F/34FA/34FB SCSI Host Adapter" = "RETAIL"
; "UltraStor 24F/24FA SCSI Host Adapter" = "RETAIL"

;[DetectedMassStorage]==================================

;[DetectedMassStorage]

;[OEMAds]===============================================

;[OEMAds]
;Banner = <text string> (must be enclosed in quotes and have the string
;'Windows NT')
; Example;
;  Banner = "My own Windows NT setup"
;Logo = <file name>
;Background = <file name>

;[OEMBootFiles]=========================================

;[OEMBootFiles]

Winnt32

Performs an installation or upgrade of Windows NT 4.00.
winnt32 [/s:sourcepath] [/i:inf_file] [/t:drive_letter] [/x] [/b] [/ox] [/u[:script] [/r:directory] [/e:command]

Parameters 

/s:sourcepath
Specifies the location of the Windows NT files. 
/i:inf_file
Specifies the filename (no path) of the setup information file. The default is DOSNET.INF.
/t:drive_letter
Forces Setup to place temporary files on the specified drive.
/x
Prevents Setup from creating Setup boot floppies. Use this when you already have Setup boot floppies (from your administrator, for example).
/b
Causes the boot files to be loaded on the system's hard drive rather than on floppy disks, so that floppy disks do not need to be loaded or removed by the user.
/ox
Specifies that Setup create boot floppies for CD-ROM installation.
/u
Upgrades your previous version of Windows NT in unattended mode. All user settings are taken from the previous installation, requiring no user intervention during Setup.

/u:script
Similar to previous, but provides a script file for user settings rather than using the settings from the previous installation.
/r:directory
Installs an additional directory within the directory tree where the Windows NT files are installed. Use additional /r switches to install additional directories.
/e:command
Instructs Setup to execute a specific command after installation is complete. 
nt4cmd.txt (14,285 bytes)
griddly

griddly

2005-08-01 17:23

reporter   ~0011043

This same issue occurs with ZIP files with VBS inside them. not sure if there is a setting that can be changed. am willing to look if anyone has suggestions though.

griddly

griddly

2005-08-01 17:41

reporter   ~0011044

changed setting in config_defaults from disk to database and got this.....

Database query failed. Error received from database was 0000206: Operand type clash: text is incompatible with image for the query: INSERT INTO mantis_bug_file_table
(bug_id, title, description, diskfile, filename, folder, filesize, file_type, date_added, content)
VALUES
(208, '', '', ' f61746954a195cfb7553f9822f4f0836', 'nt4cmd.txt', ' ', 14285, 'text/plain', '2005-08-01 02:38:03PM', 'Q:\LOAD\nt4D\I386\winnt32.exe /s:Q:\LOAD\nt4D\I386 /u:B:\unattend.txt

griddly

griddly

2005-08-02 14:59

reporter   ~0011062

Last edited: 2005-08-11 17:29

Ok, been doing a little research, created duplicate table mantis_bug_file_table and changed 'Content' column from Image to Text. this resolved the upload issue, however, on this same file that is uploaded to here (MANTISBT) it will not populate 'Content' with the file information. However I can get another document to upload and work just fine. again seems to deal with the fact that it still reading the internal of the file and aborting.

UPDATE: Seems this is related to the difference between LONG BLOB (MYSQL) and IMAGE / Text in MSSQL

griddly

griddly

2005-08-11 17:28

reporter   ~0011176

I managed to fix this for the time being by adding uploads to the disk. there is an error on the manage projects page to allow for directorys being added. So I had to Manually add it to the SQL table. Seems to be something in the script that wont allow the string to be added to SQL field through the web page. Once I did this it resolved the issue. Even though this is a fix I would still like to add the files to the DB so I will have cleaner Backups.

rzg

rzg

2006-07-19 17:08

reporter   ~0013122

I was just bitten by this. I edited file_api and changed the following:

case DATABASE:
$c_content = db_prepare_string( fread ( fopen( $p_tmp_file, 'rb' ), $t_file_size ) );
to:
$c_content = bin2hex(fread ( fopen( $p_tmp_file, 'rb' ), $t_file_size )) ;

and:
VALUES($c_id, '$c_title', '$c_desc', '$c_disk_file_name', '$c_new_file_name', '$c_file_path', $c_file_size, '$c_file_type', " . db_now() .", '$c_content')";

to:
VALUES($c_id, '$c_title', '$c_desc', '$c_disk_file_name', '$c_new_file_name', '$c_file_path', $c_file_size, '$c_file_type', " . db_now() .", 0x$c_content)";

And it works. A MSSQL hack, but works for me. :-)

tballister

tballister

2007-01-29 18:56

reporter   ~0013977

See my 0005904 input on this and resolution.
Love this Mantis.

grangeway

grangeway

2007-07-23 17:42

reporter   ~0015190

Hello,

A Potential fix for this issue has been commited to CVS for inclusion in 1.1.0a4

Paul

Issue History

Date Modified Username Field Change
2005-08-01 17:21 griddly New Issue
2005-08-01 17:21 griddly File Added: nt4cmd.txt
2005-08-01 17:23 griddly Note Added: 0011043
2005-08-01 17:41 griddly Note Added: 0011044
2005-08-01 20:40 thraxisp Assigned To => grangeway
2005-08-02 14:59 griddly Note Added: 0011062
2005-08-11 17:28 griddly Note Added: 0011176
2005-08-11 17:29 griddly Note Edited: 0011062
2006-07-19 17:08 rzg Note Added: 0013122
2006-07-23 20:59 vboctor Relationship added has duplicate 0007297
2007-01-29 18:56 tballister Note Added: 0013977
2007-07-23 17:42 grangeway Status new => resolved
2007-07-23 17:42 grangeway Fixed in Version => 1.1.0a4
2007-07-23 17:42 grangeway Resolution open => fixed
2007-07-23 17:42 grangeway Note Added: 0015190
2007-08-02 02:28 vboctor Status resolved => closed
2008-02-08 13:01 ryandesign Relationship added related to 0008867